package com.ventasZ.model;
// Generated 01-03-2020 09:20:46 AM by Hibernate Tools 4.3.1


import java.util.ArrayList;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * ModoPago generated by hbm2java
 */
@Entity
@Table(name="modo_pago"
    ,catalog="ventas"
)
public class ModoPago  implements java.io.Serializable {


     private Integer numPago;
     private String nombre;
     private String otrosDetalles;
     private List<Factura> facturas = new ArrayList<Factura>();

    public ModoPago() {
    }

	
    public ModoPago(String nombre, String otrosDetalles) {
        this.nombre = nombre;
        this.otrosDetalles = otrosDetalles;
    }
    public ModoPago(String nombre, String otrosDetalles, List<Factura> facturas) {
       this.nombre = nombre;
       this.otrosDetalles = otrosDetalles;
       this.facturas = facturas;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="num_pago", unique=true, nullable=false)
    public Integer getNumPago() {
        return this.numPago;
    }
    
    public void setNumPago(Integer numPago) {
        this.numPago = numPago;
    }

    
    @Column(name="nombre", nullable=false, length=150)
    public String getNombre() {
        return this.nombre;
    }
    
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    
    @Column(name="otros_detalles", nullable=false, length=150)
    public String getOtrosDetalles() {
        return this.otrosDetalles;
    }
    
    public void setOtrosDetalles(String otrosDetalles) {
        this.otrosDetalles = otrosDetalles;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="modoPago")

    public List<Factura> getFacturas() {
        return facturas;
    }

    public void setFacturas(List<Factura> facturas) {
        this.facturas = facturas;
    }
}


